<header class="header bg-light">
  <div class="container">
    <div class="row align-items-start">
      <div class="col">
        <nav class="navbar navbar-expand-lg navbar-light">
          <div class="container-fluid">
            <a class="navbar-brand" href="/">
              <img src="https://getbootstrap.com/docs/5.1/assets/brand/bootstrap-logo.svg" alt="Logo" width="30" height="24" class="d-inline-block align-text-top">
            </a>
            <button (click)="toggleNavBar()" class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" [class.show]="showNavBar" id="navbarNav">
              <ul class="navbar-nav m-auto">
                <li class="nav-item">
                  <a
                    [routerLink]="dashboard"
                    [routerLinkActive]="'active'"
                    [routerLinkActiveOptions]="{ exact: true }"
                    class="nav-link"
                  >Dashboard</a
                  >
                </li>
                <li class="nav-item">
                  <a
                    [routerLink]="placeBook"
                    [routerLinkActive]="'active'"
                    [routerLinkActiveOptions]="{ exact: true }"
                    class="nav-link"
                  >Place Book</a
                  >
                </li>
                <li class="nav-item">
                  <a
                    [routerLink]="books"
                    [routerLinkActive]="'active'"
                    class="nav-link"
                  >Books</a
                  >
                </li>
                <li class="nav-item">
                  <a
                    [routerLink]="users"
                    [routerLinkActive]="'active'"
                    class="nav-link"
                  >Users</a
                  >
                </li>
              </ul>
            </div>
          </div>
        </nav>
      </div>
    </div>
  </div>
</header>
